### Name: plot.dade
### Title: Density estimates and partition plot for discriminant analysis
###   for bi-and tri-variate data
### Aliases: plot.dade
### Keywords: hplot

### ** Examples

## bivariate example

library(MASS)
data(iris)
ir <- iris[,c(1,2)]
ir.gr <- iris[,5]
xlab <- "Sepal length (mm)"
ylab <- "Sepal width (mm)"
xlim <- c(4,8)
ylim <- c(2,4.5)

H <- Hkda(ir, ir.gr, bw="plugin", pre="scale")
fhat <- kda.kde(ir, ir.gr, H)
lda.fhat <- pda.pde(ir, ir.gr, type="line")
qda.fhat <- pda.pde(ir, ir.gr, type="quad")

layout(rbind(c(1,2), c(3,4)))
plot(fhat, cont=0, xlab=xlab, ylab=ylab, xlim=xlim, ylim=ylim, 
    pch=c(1,5,10))
plot(fhat, ncont=6, xlab=xlab, ylab=ylab, xlim=xlim, ylim=ylim,
     col=c("transparent", "grey", "#8f8f8f"), drawlabels=FALSE)
plot(lda.fhat, ncont=6, xlim=xlim, ylim=ylim, xlab=xlab, ylab=ylab, 
     disp="")
plot(qda.fhat, ncont=6, xlim=xlim, ylim=ylim,  xlab=xlab, ylab=ylab, 
     lty=c(2,5,3))
layout(1)

## trivariate example
## Not run: 
##D ir <- iris[,1:3]
##D ir.gr <- iris[,5] 
##D H <- Hkda(ir, ir.gr, bw="plugin", pre="scale")
##D fhat <- kda.kde(ir, ir.gr, H)
##D plot(fhat, cont=c(25,50))
##D    ## colour indicates species, transparency indicates density heights
##D 
##D qda.fhat <- pda.pde(ir, ir.gr, type="quad")
##D plot(qda.fhat, cont=c(25,50))
## End(Not run)



